<?php
session_start();
include "classes/db.class.php";
include "classes/fc.class.php";
include "config.php";


if (!isset($_SESSION['uid'])) {
    header("Location: login.php");
    exit;
}


$uid = $_SESSION['uid'];
$nome = $_SESSION['un'];
$email = $_SESSION['ue'];
$idsql = $_SESSION['uids'];

$pag = $_SERVER['REQUEST_URI'];
$pag = explode("/", $pag);
$page = $pag[2];





?>
<!DOCTYPE html>

<html lang="pt-br">

<head>

    <?php include "includes/header.php"; ?>

</head>

<body>

    <!-- navbar -->
    <?php include "includes/navbar.php"; ?>

    <div class="container card shadow-lg  mt-3 py-1">

        <div class="row mb-2 py-2">
            <div class="col-9 col-md-9 col-sm-9 text-start">
                <h3 class="text-dark"><strong><i class='fas fa-clipboard-list me-2'></i>Ordem Serviço: <?php echo isset($_SESSION['CODIGO']) ? $_SESSION['CODIGO'] : header("Location: servicos.php");   ?></strong></h3>
            </div>
            <div class="col-3 col-md-3 col-sm-3 text-end">
                <button type="button" class="btn btn-outline-secondary  rounded-circle" data-bs-toggle="collapse" data-bs-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample"><i class='fas fa-arrow-down'></i></button>
            </div>

        </div>
        <div class="collapse" id="collapseExample">
            <div class="card card-body">

                <div class="row my-1">
                    <div class="col-12 col-md-12  col-sm-12 text-start">
                        <h5 class="text-dark">Abertura: <?php echo ($_SESSION['ABERTURA']);  ?></h5>
                    </div>
                </div>
                <div class="row my-1 ">
                    <div class="col-12 col-md-12 col-sm-12">
                        <div class="col-12 col-md-12 col-sm-12 text-start">


                            <h4 class="text-dark">Cliente: <?php echo isset($_SESSION['RAZAO']) ? $_SESSION['RAZAO'] : '';   ?></h4>


                        </div>
                    </div>
                </div>

            </div>
        </div>




    </div>


    <div id="itens" class="container card shadow-lg  my-2 py-1">

        <div class="row  my-2">

            <div class="col-6 col-md-6 col-sm-6 text-start">
                <h4 class="text-dark"><i class='fas fa-users me-2'></i>Itens da OS:</h4>


            </div>
            <div class="col-4 col-md-4 col-sm-4  justify-content-end text-end">

                <a href="#" id="somatotal" class="btn btn-outline-success w-100 ml-auto  float-end">Total:R$ 0,00</a>

            </div>
            <div class="col-2 col-md-2 col-sm-2 text-end">

                <a href="#" id="btn1" class="btn btn-success text-light float-end" data-bs-toggle="modal" data-bs-target="#mReg"><i class='fas fa-plus-circle'></i></a>

                <a href="#" id="btn2" class="btn btn-success text-light float-end" data-bs-toggle="modal" data-bs-target="#mReg2"><i class='fas fa-plus-circle'></i></a>


            </div>



        </div>

    </div>

    <div class="container  mb-3 py-1">

        <div class="row mb-3">

            <div class="col-12 col-md-12 col-sm-12">


                <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                    <li class="nav-item w-50" role="presentation">
                        <button class="nav-link active w-100" id="pills-home-tab" onclick="lista(1);" data-bs-toggle="pill" data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home" aria-selected="true"><i class='fas fa-boxes me-2'></i>PRODUTOS</button>
                    </li>
                    <li class="nav-item w-50" role="presentation">
                        <button class="nav-link w-100" id="pills-profile-tab" onclick="lista(2);" data-bs-toggle="pill" data-bs-target="#pills-profile" type="button" role="tab" aria-controls="pills-profile" aria-selected="false"><i class='fas fa-tools me-2'></i>SERVIÇOS</button>
                    </li>

                </ul>
                <div class="tab-content" id="pills-tabContent">

                    <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab" tabindex="0">

                        <table id="tbprods" class="table table-striped mb-3   table-hover">

                            <thead class="border-0 border-1 border-bottom border-secondary">
                                <tr>

                                    <th>Item</th>
                                    <th class="col-3 text-center">Qtde</th>
                                    <th class="col-2 text-center">Total</th>
                                    <th class="col-2 text-end"></th>

                                </tr>
                            </thead>
                            <tbody>


                            </tbody>
                        </table>



                    </div>



                    <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab" tabindex="0">


                        <table id="tbservs" class="table table-striped mb-3   table-hover">

                            <thead class="border-0 border-1 border-bottom border-secondary">
                                <tr>

                                    <th>Item</th>
                                    <th class="col-2 text-center">Qtde</th>
                                    <th class="col-2 text-center">Total</th>
                                    <th class="col-3 text-end"></th>

                                </tr>
                            </thead>
                            <tbody>


                            </tbody>
                        </table>


                    </div>

                </div>





            </div>

        </div>
        <!-- botoes salva itens  -->
        <div class="row my-2 pb-3">

            <div class="col-6 col-md-6 col-sm-6 mb-3">
                <a href="servicos.php" id="btnCancela" class="btn btn-outline-secondary w-100 me-1"><i class='fas fa-ban me-2'></i>CANCELAR</a>
            </div>

            <div class="col-6 col-md-6 col-sm-6 mb-3">
                <a href="#" id="btnItens" class="btn btn-success text-light me-1 w-100"><i class='fas fa-save me-2'></i>SALVAR</a>
            </div>

        </div>

    </div>



    <!-- footer -->
    <?php include "includes/footer.php"; ?>

    <?php include "includes/libs.php"; ?>

    <!-- Modal -->
    <div class="modal fade" id="mReg" tabindex="-1" aria-labelledby="mRegLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="mRegLabel">Novo Cadastro</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">

                    <form id="fcad" class="was-validated" method='POST'>

                        <div class='col-md-6 col-sm-12 mb-1'>

                            <input type='hidden' id='CONTROLE' name='CONTROLE' value="" class='form-control' required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1'>

                            <input type='hidden' id='CLIENTE' name='CLIENTE' value="<?php echo $_SESSION['CLIENTE'];  ?>" class='form-control' required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1'>

                            <input type='hidden' id='PEDIDO' name='PEDIDO' value="<?php echo $_SESSION['CODIGO'];  ?>" class='form-control' required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1 text-center'>
                            <label for='PRODUTO' class='form-label'><strong>PRODUTO:</strong></label>
                            <select name="PRODUTO" id="PRODUTO" class="form-select border-1 border-secondary rounded-2" data-placeholder="Selecione uma opção...">

                                <option value=""></option>
                                <?php

                                $con = DB::conecta();
                                $sql = "SELECT REGISTRO,CODIGO,DESCRICAO,VALORVENDA FROM produtos WHERE TIPOPROD='0' ORDER BY DESCRICAO ASC";
                                $bs = $con->prepare($sql);
                                $bs->execute();
                                $ds = $bs->fetchAll(PDO::FETCH_ASSOC);

                                if (count($ds) > 0) {

                                    for ($i = 0; $i < count($ds); $i++) {

                                        echo "<option data-value='" . $ds[$i]['CODIGO'] . "|" . $ds[$i]['VALORVENDA'] . "' value='" . $ds[$i]['REGISTRO'] . "'>" . $ds[$i]['DESCRICAO'] . "</OPTION>";
                                    }
                                }


                                ?>

                            </select>
                        </div>
                        <!--  <div class='col-md-6 col-sm-12 mb-1'>
                            <input type="hidden" class="form-control" value=""  id="PRODUTO" name="PRODUTO">
                           
                        </div> -->
                        <div class="row">
                            <div class='col-md-6 col-sm-6 mb-1 text-center'>
                                <label for='QUANTIDADE' class='form-label'>QTDE.:</label>
                                <input type='number' step="1" min="1" value="1" id='QUANTIDADE' name='QUANTIDADE' onchange="somaitens(1)" class='form-control text-center text-weight-bold' required>
                            </div>
                            <div class='col-md-6 col-sm-6 mb-1 text-center'>
                                <label for='PRECO' class='form-label'>VALOR UNIT:</label>
                                <input type='text' readonly id='PRECO' name='PRECO' class='form-control text-center money' value="0" required>
                            </div>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1 text-center'>
                            <label for='DESCONTO' class='form-label'>DESCONTO:</label>
                            <input type='text' id='DESCONTO' name='DESCONTO' onchange="somaitens(1)" value="0" class='form-control text-center money' required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1 text-center'>
                            <label for='TOTAL' class='form-label'><strong>TOTAL:</strong></label>
                            <input type='text' readonly id='TOTAL' name='TOTAL' class='form-control   text-center shadow-lg' style="font-size:18px !important;font-weight: bold; background-color: #205A7D;color: #ffffff" required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1'>

                            <input type='hidden' id='DATA' name='DATA' value="<?php echo date('Y-m-d h:i:s'); ?>" class='form-control' required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1'>

                            <input type='hidden' id='VENDEDOR' name='VENDEDOR' value="<?php echo $idsql; ?>" class='form-control' required>
                        </div>
                        <button type='submit' id='btnSalvar' class='btn btn-success w-100 text-light my-2'>Salvar <i class='fas fa-location-arrow ms-2'></i></button>
                    </form>


                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-warning  w-100" data-bs-dismiss="modal">Cancelar</button>

                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="mReg2" tabindex="-1" aria-labelledby="mReg2Label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="mReg2Label">Novo Cadastro</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">

                    <form id="fcad2" class="was-validated" method='POST'>

                        <div class='col-md-6 col-sm-12 mb-1'>

                            <input type='hidden' id='CONTROLE2' name='CONTROLE' value="" class='form-control' required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1'>

                            <input type='hidden' id='CLIENTE2' name='CLIENTE' value="<?php echo $_SESSION['CLIENTE'];  ?>" class='form-control' required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1'>

                            <input type='hidden' id='PEDIDO2' name='PEDIDO' value="<?php echo $_SESSION['CODIGO'];  ?>" class='form-control' required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1 text-center'>
                            <label for='PRODUTO2' class='form-label'><strong>SERVIÇO:</strong></label>
                            <select name="PRODUTO" id="PRODUTO2" class="form-select border-1 border-secondary rounded-2" data-placeholder="Selecione uma opção...">

                                <option value=""></option>
                                <?php

                                $con = DB::conecta();
                                $sql = "SELECT REGISTRO,CODIGO,DESCRICAO,VALORVENDA FROM produtos WHERE TIPOPROD='1' ORDER BY DESCRICAO ASC";
                                $bs = $con->prepare($sql);
                                $bs->execute();
                                $ds = $bs->fetchAll(PDO::FETCH_ASSOC);

                                if (count($ds) > 0) {

                                    for ($i = 0; $i < count($ds); $i++) {

                                        echo "<option data-value='" . $ds[$i]['CODIGO'] . "|" . $ds[$i]['VALORVENDA'] . "' value='" . $ds[$i]['REGISTRO'] . "'>" . $ds[$i]['DESCRICAO'] . "</OPTION>";
                                    }
                                }


                                ?>

                            </select>
                        </div>
                        <!--  <div class='col-md-6 col-sm-12 mb-1'>
                            <input type="hidden" class="form-control" value=""  id="PRODUTO" name="PRODUTO">
                           
                        </div> -->
                        <div class="row">
                            <div class='col-md-6 col-sm-6 mb-1 text-center'>
                                <label for='QUANTIDADE2' class='form-label'>QTDE.:</label>
                                <input type='number' step="1" min="1" value="1" id='QUANTIDADE2' name='QUANTIDADE' onchange="somaitens(2)" class='form-control text-center text-weight-bold' required>
                            </div>
                            <div class='col-md-6 col-sm-6 mb-1 text-center'>
                                <label for='PRECO2' class='form-label'>VALOR:</label>
                                <input type='text' onchange="somaitens(2)" id='PRECO2' name='PRECO' class='form-control text-center money' value="0" required>
                            </div>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1 text-center'>
                            <label for='DESCONTO2' class='form-label'>DESCONTO:</label>
                            <input type='text' id='DESCONTO2' onchange="somaitens(2)" name='DESCONTO' value="0" class='form-control text-center money' required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1 text-center'>
                            <label for='TOTAL2' class='form-label'><strong>TOTAL:</strong></label>
                            <input type='text' readonly id='TOTAL2' name='TOTAL' class='form-control   text-center shadow-lg' style="font-size:18px !important;font-weight: bold; background-color: #205A7D;color: #ffffff" required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1'>

                            <input type='hidden' id='DATA2' name='DATA' value="<?php echo date('Y-m-d h:i:s'); ?>" class='form-control' required>
                        </div>
                        <div class='col-md-6 col-sm-12 mb-1'>

                            <input type='hidden' id='VENDEDOR2' name='VENDEDOR' value="<?php echo $idsql; ?>" class='form-control' required>
                        </div>
                        <button type='submit' id='btnSalvar2' class='btn btn-success w-100 text-light my-2'>Salvar <i class='fas fa-location-arrow ms-2'></i></button>
                    </form>


                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-warning  w-100" data-bs-dismiss="modal">Cancelar</button>

                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="mDados" tabindex="-1" aria-labelledby="mDadosLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="mDadosLabel">Cadastro</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">

                    <form id="fdados" class="was-validated" method='POST'>


                        <div class='mb-1'>

                            <input type='text' id='NOME2' value="" name='NOME' class='form-control text-uppercase'
                                placeholder="Nome..." required>
                        </div>
                        <div class='mb-1'>

                            <input type='text' id='FANTASIA2' value="" name='FANTASIA'
                                class='form-control text-uppercase' placeholder="Fantasia..." required>
                        </div>
                        <div class='mb-1'>

                            <input type='text' id='CEP2' value="" onchange="buscacep($(this).val(),2)" name='CEP'
                                placeholder="CEP" class='form-control cep' maxlength="9" minlength="9" required>
                        </div>

                        <div class='mb-1'>

                            <input type='text' id='ENDERECO2' value="" name='ENDERECO'
                                class='form-control text-uppercase' placeholder="Endereço..." required>
                        </div>

                        <div class='mb-1'>

                            <input type='text' id='BAIRRO2' value="" name='BAIRRO' class='form-control text-uppercase'
                                placeholder="Bairro..." required>
                        </div>
                        <div class='mb-1'>

                            <input type='text' id='NUM2' value="" placeholder="Núm" name='NUM' class='form-control'
                                required>
                        </div>
                        <div class='mb-1'>

                            <input type='text' id='COMPL2' value="" name='COMPL' class='form-control  text-uppercase'
                                placeholder="Complemento...">
                        </div>
                        <div class='mb-1'>

                            <input type='text' id='CIDADE2' value="" name='CIDADE' class='form-control  text-uppercase'
                                placeholder="Cidade..." required>
                        </div>
                        <div class='mb-1'>

                            <input type='text' maxlength="2" value="" minlength="2" id='UF2' name='UF'
                                class='form-control text-uppercase' placeholder="UF" required>
                        </div>

                        <div class='mb-1'>

                            <input type='text' id='CGC2' name='CGC' value="" class='form-control cnpj'
                                placeholder="CNPJ" required>
                        </div>
                        <div class='mb-1'>

                            <input type='text' id='INSCEST2' value="" name='INSCEST' class='form-control'
                                placeholder="Insc.Estadual...">
                        </div>
                        <div class='mb-1'>

                            <input type='text' id='RG2' name='RG' value="" placeholder="RG.." class='form-control'>
                        </div>
                        <div class='mb-1'>

                            <input type='text' id='CELULAR2' value="" name='CELULAR' class='form-control fone'
                                placeholder="(99)99999-9999" required>
                        </div>
                        <div class='mb-1'>

                            <input type='text' id='CONTATO2' value="" name='CONTATO'
                                class='form-control  text-uppercase' placeholder="Contato...">
                        </div>
                        <div class='mb-1'>

                            <input type='email' id='EMAIL2' value="" name='EMAIL' class='form-control  text-lowercase'
                                placeholder="E-mail..." required>
                        </div>
                        <div class='mb-2'>

                            <input type='text' id='OBS2' value="" name='OBS' placeholder="Obs..." class='form-control'>
                        </div>

                        <div class='mb-0'>

                            <input type='hidden' value="" id='CODIGO2' name='CODIGO' class='form-control'>
                        </div>

                        <div class='mb-0'>

                            <input type='hidden' value="" id='idcliente2' name='idcliente' class='form-control'>
                        </div>

                        <button type='submit' class='btn btn-success w-100 text-light' id="btnCadastro2">Salvar <i class='fas fa-location-arrow ms-2'></i></button>
                    </form>


                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-warning  w-100" data-bs-dismiss="modal">Cancelar</button>

                </div>
            </div>
        </div>
    </div>


    <script>
        var tipo = 1;
        var url = "./rest/itensprods.php";
        $(function() {
            // Initialize tooltips
            pulse('Carregando...');
            $('#btn2').hide();


        });
        $(document).ready(function() {
            removeloader();
            var page = '<?php echo $page; ?>';
            $('#btnradio3').prop('checked', true);
            $('#btnradio2').prop('checked', false);
            $('#btnradio4').prop('checked', false);
            $('#btnradio1').prop('checked', false);

            $('#btn2').hide();
            var total = '<?php echo FC::somapedido($_SESSION["CODIGO"],  $idsql);  ?>';

            $('#somatotal').text('Total:R$ ' + parseFloat(total).toFixed(2));

            //alert(total);

            //somaitens(tipo);

            $('#PRODUTO').select2({
                theme: 'bootstrap-5',
                dropdownParent: '#mReg'
            });
            $('#PRODUTO2').select2({
                theme: 'bootstrap-5',
                dropdownParent: '#mReg2'
            });

            $('#PRODUTO').change(function(r) {
                //alert(e);
                var valor = $(this).find(':selected').attr('data-value');
                //console.log(valor);
                var ret = valor.split('|');
                //console.log(ret[0]+' '+ret[1]);
                //$('#PRODUTO').val(ret[0]);
                $('#PRECO').val(parseFloat(ret[1]).toFixed(2));
                $('#QUANTIDADE').focus();

                somaitens(tipo);


            });

            $('#PRODUTO2').change(function(r) {
                //alert(e);
                var valor = $(this).find(':selected').attr('data-value');
                //console.log(valor);
                var ret = valor.split('|');
                //console.log(ret[0]+' '+ret[1]);
                //$('#PRODUTO').val(ret[0]);
                $('#PRECO2').val(parseFloat(ret[1]).toFixed(2));
                $('#QUANTIDADE2').focus();

                somaitens(tipo);


            });

            $('#QUANTIDADE').on('change', function() {
                if (!$(this).empty()) {
                    somaitens(tipo);
                }

            });

            $('#QUANTIDADE2').on('change', function() {
                if (!$(this).empty()) {
                    somaitens(tipo);
                }

            });


            var lista = $('#tbprods tbody');
            var lista2 = $('#tbservs tbody');

            lista2.empty();
            lista.empty();

            $.get('./rest/itensprods.php', function(resposta) {
                // console.log(resposta);
                if (resposta != 'erro') {

                    lista.html(resposta);
                    $('#tbprods').dataTable({
                        dom: 'Bfrtip',
                        buttons: [
                            'copy',
                            'excel',
                            'pdf',
                            'print'
                        ],
                        language: {
                            url: './langPT.json'
                        }

                    });

                } else {
                    mensagem('Erro ao carregar Registros!', 'erro');
                }


            });

            $.get('./rest/itensservs.php', function(rs) {

                if (rs != 'erro') {

                    lista2.html(rs);
                    $('#tbservs').dataTable({
                        dom: 'Bfrtip',
                        buttons: [
                            'copy',
                            'excel',
                            'pdf',
                            'print'
                        ],
                        language: {
                            url: './langPT.json'
                        }

                    });
                } else {
                    mensagem('Erro ao carregar Registros!', 'erro');
                }
            });


            $('#fcad').submit(function(e) {
                e.preventDefault(); // Prevent the default form submission

                $('#btnSalvar').prop('disabled', true); // Disable the button to prevent multiple submissions



                loaders('Adicionando Produto...');

                var controle = "<?php echo FC::controleitem($_SESSION['CODIGO'], $idsql, 1); ?>";
                $('#CONTROLE').val(controle);



                var formData = $(this).serialize(); // Serialize the form data



                $.ajax({
                    type: 'POST',
                    url: 'rest/cadprods.php',
                    data: formData,
                    success: function(response) {

                        //alert(response);
                        removeloader();
                        $('#btnSalvar').prop('disabled', false);

                        if (response == 'ok') {

                            mensagem('Produto adicionado com sucesso!', 'sucesso');
                            $('#mReg').modal('hide');
                            setTimeout(() => {
                                window.location.reload();
                            }, 2000);
                        } else {
                            if (response == 'erro') {
                                mensagem('Erro ao inserir produto!', 'erro');
                            } else {
                                mensagem('Ocorreu um Erro ao adicionar produto!', 'erro');
                            }

                        }

                        console.log(response);
                    },
                    error: function(xhr, status, error) {
                        alert(error);

                        removeloader();
                        $('#btnSalvar').prop('disabled', false);
                        mensagem('Ocorreu um erro ao inserir item.', 'erro');
                    }
                });

                $('#fcad').get(0).reset();
            });

            $('#fcad2').submit(function(e) {
                e.preventDefault(); // Prevent the default form submission

                $('#btnSalvar2').prop('disabled', true); // Disable the button to prevent multiple submissions

                var controle = "<?php echo FC::controleitem($_SESSION['CODIGO'], $idsql, 2); ?>";
                $('#CONTROLE2').val(controle);

                loaders('Adicionando Serviço...');



                var formData = $(this).serialize(); // Serialize the form data



                $.ajax({
                    type: 'POST',
                    url: 'rest/cadservs.php',
                    data: formData,
                    success: function(response) {

                        //alert(response);
                        removeloader();
                        $('#btnSalvar2').prop('disabled', false);

                        if (response == 'ok') {

                            mensagem('Serviço adicionado com sucesso!', 'sucesso');
                            $('#mReg2').modal('hide');
                            setTimeout(() => {
                                window.location.reload();
                            }, 2000);
                        } else {
                            if (response == 'erro') {
                                mensagem('Erro ao inserir serviço!', 'erro');
                            } else {
                                mensagem('Ocorreu um Erro ao adicionar serviço!', 'erro');
                            }

                        }

                        console.log(response);
                    },
                    error: function(xhr, status, error) {
                        alert(error);

                        removeloader();
                        $('#btnSalvar2').prop('disabled', false);
                        mensagem('Ocorreu um erro ao inserir serviço.', 'erro');
                    }
                });

                $('#fcad2').get(0).reset();
            });


            /*
            $('#fdados').submit(function(e) {
                e.preventDefault(); // Prevent the default form submission

                $('#btnCadastro2').prop('disabled',
                    true); // Disable the button to prevent multiple submissions

                loaders('Atualizando cliente...');

                var formData = $(this).serialize(); // Serialize the form data

                $.ajax({
                    type: 'POST',
                    url: 'rest/editcliente.php',
                    data: formData,
                    success: function(response) {

                        //alert(response);
                        removeloader();
                        $('#btnCadastro2').prop('disabled', false);

                        if (response == 'ok') {

                            mensagem('Cliente atualizado com sucesso!', 'sucesso');
                            $('#mDados').modal('hide');
                            setTimeout(() => {
                                window.location.reload();
                            }, 2000);
                        } else {
                            mensagem('Erro ao atualizar cliente!', 'erro');
                        }

                        //console.log(response);
                    },
                    error: function(xhr, status, error) {
                        alert(error);

                        removeloader();
                        $('#btnCadastro2').prop('disabled', false);
                        mensagem('Ocorreu um erro ao atualizar o cliente.', 'erro');
                    }
                });
            }); */

            $('#btnItens').click(function() {

                //envia requisição
                var codigo = '<?php echo $_SESSION['CODIGO']; ?>';
                var vendedor = '<?php echo $idsql; ?>';

                $.post('rest/salvaos.php', {
                    codigo: codigo,
                    vendedor: vendedor
                }, function(e) {

                    if (e == "ok") {


                        mensagem('Ordem de Serviço salva com sucesso!', 'sucesso');
                        setTimeout(() => {
                            $(location).attr('href', 'servicos.php');
                        }, 1500);

                    } else if (e == "erro") {
                        mensagem('Erro ao salvar Ordem de Serviço!', 'erro');

                    } else {
                        mensagem('Ocorreu um erro ao salvar Ordem de Serviço!', 'erro');
                    }

                });


            });



        });

        function removeloader() {



            Notiflix.Loading.remove(1923);
            // $('#corpo').fadeIn(500);
            //
        }


        function dados(id, tipo) {

            // alert(id);

            if (id != '' || id != null) {

                //$('#idcliente').val(id);

                $.post('rest/bscliente.php', {
                    id: id
                }, function(e) {

                    //console.log(e);
                    //console.log(e['NOME']);
                    var ds = JSON.parse(e);
                    $.each(ds[0], function(key, value) {
                        //console.log(key+' - '+value);
                        $('#' + key + '2').val(value);


                    });

                    $('#mDados').modal('show');
                    //alert($('#idcliente2').val());

                    if (tipo == 1) {
                        $('#mDados input').prop('disabled', false); // Enable all input fields 
                        $('#btnCadastro2').prop('disabled', false); // Enable the button to allow submission again 
                    } else {
                        $('#mDados input').prop('disabled', true); // Disable all input fields
                        $('#btnCadastro2').prop('disabled', true); // Enable the button to allow submission again
                    }



                    $('#mDadosLabel').html(tipo == 1 ? 'Alterar Cadastro' : 'Dados do Cadastro');

                });

            }

        }

        function lista(valor) {
            tipo = valor;
            //alert(tipo);
            if (tipo == 1) {

                $('#btn1').show();
                $('#btn2').hide();

            } else {

                $('#btn1').hide();
                $('#btn2').show();

            }
        }

        function somaitens(tipo) {

            if (tipo == 1) {

                $('#TOTAL').val(parseFloat($('#PRECO').val() * $('#QUANTIDADE').val() - $('#DESCONTO').val()).toFixed(2));

            } else if (tipo == 2) {

                $('#TOTAL2').val(parseFloat($('#PRECO2').val() * $('#QUANTIDADE2').val() - $('#DESCONTO2').val()).toFixed(2));

            }

        }

        function alteraqtde(id, qtde, valor) {

            localStorage.setItem('itemprod', id);
            localStorage.setItem('valorprod', valor);
            Notiflix.Confirm.prompt(
                'Quantidade Item',
                'Digite a quantidade:',
                qtde,
                'OK',
                'Cancelar',
                function okCb(clientAnswer) {
                    if (clientAnswer == '') {
                        mensagem('Digite a quantidade por favor !', 'atencao');
                        return false;
                    }

                    //envia para o php pra alterar a quantidade
                    var totalitem = clientAnswer * valor;

                    $.post('./rest/editaqtdeprod.php', {
                        id: id,
                        qtde: clientAnswer,
                        total: totalitem
                    }, function(res) {

                        //alert(res);
                        if (res == 'ok') {
                            mensagem('Quantidade alterada !', 'sucesso');
                            setTimeout(() => {
                                $(location).attr('href', 'itens.php');
                            }, 200);
                        } else {
                            mensagem('Erro ao alterar quantidade !', 'erro');
                        }

                    });



                },
                function cancelCb(clientAnswer) {

                }, {
                    width: '320px',
                    borderRadius: '8px',
                    // etc...
                },
            );

        }

        function alteraqtde2(id, qtde, valor) {

            localStorage.setItem('itemprod', id);
            localStorage.setItem('valorprod', valor);
            Notiflix.Confirm.prompt(
                'Quantidade Item',
                'Digite a quantidade:',
                qtde,
                'OK',
                'Cancelar',
                function okCb(clientAnswer) {
                    if (clientAnswer == '') {
                        mensagem('Digite a quantidade por favor !', 'atencao');
                        return false;
                    }

                    //envia para o php pra alterar a quantidade
                    var totalitem = clientAnswer * valor;

                    $.post('./rest/editaqtdeserv.php', {
                        id: id,
                        qtde: clientAnswer,
                        total: totalitem
                    }, function(res) {

                        //alert(res);
                        if (res == 'ok') {
                            mensagem('Quantidade alterada !', 'sucesso');
                            setTimeout(() => {
                                $(location).attr('href', 'itens.php');
                            }, 200);
                        } else {
                            mensagem('Erro ao alterar quantidade !', 'erro');
                        }

                    });



                },
                function cancelCb(clientAnswer) {

                }, {
                    width: '320px',
                    borderRadius: '8px',
                    // etc...
                },
            );

        }

        function excluirprod(id) {

            Notiflix.Confirm.show(
                'ATENCAO',
                'Deseja excluir o item?',
                'SIM',
                'CANCELAR',
                function okCb() {
                   
                    // Call an AJAX endpoint to delete the item, passing id and type=1
                    $.post('./rest/excluiitem.php', { id: id, tipo: 1 }, function(res) {
                        if (res == 'ok') {
                            mensagem('Item excluído com sucesso!', 'sucesso');
                            setTimeout(() => {
                                $(location).attr('href', 'itens.php');
                            }, 200);
                        } else {
                            mensagem('Erro ao excluir item!', 'erro');
                        }
                    });


                },
                function cancelCb() {
                    //alert('If you say so...');
                }, {},
            );


        }

        function excluirserv(id) {

            Notiflix.Confirm.show(
                'ATENCAO',
                'Deseja excluir o Serviço?',
                'SIM',
                'CANCELAR',
                function okCb() {
                   
                    // Call an AJAX endpoint to delete the item, passing id and type=1
                    $.post('./rest/excluiitem.php', { id: id, tipo: 2 }, function(res) {
                        if (res == 'ok') {
                            mensagem('Item excluído com sucesso!', 'sucesso');
                            setTimeout(() => {
                                $(location).reload();
                            }, 200);
                        } else {
                            mensagem('Erro ao excluir item!', 'erro');
                        }
                    });


                },
                function cancelCb() {
                    //alert('If you say so...');
                }, {},
            );


        }
        

        
    </script>


</body>

</html>